package com.yem.wm.im.delivernotice.op;


import com.yem.wm.im.delivernotice.validator.DeliverNoticeSubmitEASValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.occ.ocococ.opplugin.deliveryorder.DeliveryOrderValidator;

import java.util.List;

/**
 * @author xwudd
 * @Description
 * @date 17:52
 **/
public class DeliverNoticeEASSubmitOp extends AbstractOperationServicePlugIn {

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        List<String> fieldKeys = e.getFieldKeys();
        fieldKeys.add("yem_org");
        fieldKeys.add("yem_materiel");
        fieldKeys.add("yem_warehouse");
        fieldKeys.add("yem_location");
        fieldKeys.add("yem_lotnumber");
        fieldKeys.add("yem_qty");
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new DeliverNoticeSubmitEASValidator());
    }
}
